org.springframework.jca.cci

## Class CannotCreateRecordException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.NonTransientDataAccessResourceException
              - - org.springframework.dao.DataAccessResourceFailureException
                - - org.springframework.jca.cci.CannotCreateRecordException

All Implemented Interfaces:
  Serializable

    public class CannotCreateRecordException
    extends DataAccessResourceFailureException

Exception thrown when the creating of a CCI Record failed for connector-internal reasons.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CannotCreateRecordException(String msg, ResourceException ex)` Constructor for CannotCreateRecordException.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CannotCreateRecordException

    public CannotCreateRecordException(String msg,
                               ResourceException ex)

Constructor for CannotCreateRecordException.

Parameters:
  `msg` - message
  `ex` - ResourceException root cause